$(function(){
	var inputArr=$("input[type='checkbox']");
	var allSelect=$(".all-select");
	var allCancle=$(".all-cancle");
	var save=$(".save");
	var checkArr=[];
	allSelect.on("click",function(){
		for(let i=0;i<inputArr.length;i++){
			inputArr[i].checked=true;
		}
	})
	allCancle.on("click",function(){
		for(let i=0;i<inputArr.length;i++){
			inputArr[i].checked=false;
		}
	})
	save.on("click",function(){
		for(let i=0;i<inputArr.length;i++){
			if(inputArr[i].checked)checkArr.push(inputArr[i].value);
		}
		if(checkArr==null || checkArr == undefined || checkArr == "")return alert("설정값을 정해주세요")
		var row=getParameter("row")
		$("#add-company"+row,opener.document).prop('checked',false);
		$("#add-manager"+row,opener.document).prop('checked',false);
		$("#add-phone"+row,opener.document).prop('checked',false);
		$("#add-email"+row,opener.document).prop('checked',false);
		checkArr.forEach((check)=>{
			var id="#add-"+check+row;
			$(id,opener.document).prop('checked',true);
		})
		$()
		window.close();
		checkArr=[];
	})
	function getParameter(name) {
	    name = name.replace(/[\[]/, "\\[").replace(/[\]]/, "\\]");
	    var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"),
	        results = regex.exec(location.search);
	    return results === null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
	}
})